﻿@model MIMS.Portal.ViewModels.Upgarde.AuthSignInViewModel

@using Microsoft.Extensions.Configuration

@inject IConfiguration _config;

@{
    ViewBag.PageTitle = "ورود";
    ViewBag.Description = "";
    Layout = "/Views/Shared/Layouts/_BlankLayout.cshtml";

}


@section styles{


}


<section class="flexbox-container">
    <div class="col-md-4 offset-md-4 col-xs-10 offset-xs-1 box-shadow-2 p-0">
        <div class="card border-grey border-lighten-3 m-0">
            <div class="card-header no-border">
                <div class="card-title text-xs-center">
                    <h2 class="blue-grey">
                        پرداخت الکترونیک فجر
                    </h2>
                    <div class="p-1" hidden>
                        <img src="../../app-assets2/images/logo/brand-logo-dark.png" alt="branding logo" hidden>
                    </div>
                </div>
                <h6 class="card-subtitle line-on-side text-muted text-xs-center font-small-3 pt-2"><span>@ViewBag.PageTitle</span></h6>
            </div>
            <div data-title="Welcome!" data-intro="Hello World! 👋" class="card-body collapse in">
                <div class="card-block">
                    <form method="post">
                        @if (ViewBag.AuthError != null)
                        {
                            <div class="alert alert-warning no-border text-center mb-2" role="alert">
                                @ViewBag.AuthError
                            </div>
                        }
                        <div class="form">
                            <div class="form-body">
                                <div asp-validation-summary="None" class="list-unstyled"></div>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group position-relative has-icon-left mb-1">
                                            <span asp-validation-for="NationalCode" class="text-danger" hidden></span>
                                            <input asp-for="NationalCode" asp-description-for="NationalCode" class="form-control" autocomplete="off" />
                                            <div class="form-control-position">
                                                <i class="icon-head"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group position-relative has-icon-left mb-1">
                                            <span asp-validation-for="Mobile" class="text-danger" hidden></span>
                                            <input asp-for="Mobile"  asp-description-for="Mobile" class="form-control" autocomplete="off" />
                                            <div class="form-control-position">
                                                <i class="icon-mobile"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group position-relative has-icon-left mb-1">
                                            <span asp-validation-for="Captcha" class="text-danger" hidden></span>
                                            <input asp-for="Captcha" class="form-control" autocomplete="off" />
                                            <div class="form-control-position">
                                                <i class="icon-security"></i>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="input-group">
                                            <input class="form-control captcha-img" style="background-image: url(@Url.ActionLink("GetCaptcha", "account", new { }))">
                                            <span class="input-group-addon">
                                                <a type="button" id="new-captcha" class="text-muted" href="javascript:void(0);"><i class="icon-refresh"></i></a>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary btn-lg btn-block"><i class="icon-lock0"></i> ورود</button>
                    </form>
                </div>
            </div>
            <div class="card-footer">
                <div class="">
                    <p class="float-sm-left text-xs-center m-0">
                        تلفن پشتیبانی 02188886666
                    </p>
                </div>
            </div>
        </div>
    </div>
</section>


@section Scripts {

    <script>
        $("#new-captcha").click(function () {
            let imgUrl = `${location.protocol}//${location.host}/account/get-captcha?${new Date().getTime()}`;
            $(".captcha-img").css("backgroundImage", "url(" + imgUrl + ")");
        });
    </script>
}



